Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1266581 - lastfm support is missing
Summary: lastfm support is missing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-online-accounts
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-25 17:11 UTC by javiermon
Modified: 2021-03-24 13:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-05 18:36:53 UTC
Type: Bug


Attachments (Terms of Use)

Description javiermon 2015-09-25 17:11:06 UTC
Description of problem:
Gnome Music 3.18 has support for lastfm, but it needs to be enabled in g-o-a. Currently, there's no way to add lastfm credentials in goa for gnome-music to use. 

Version-Release number of selected component (if applicable):
Name        : gnome-online-accounts
Arch        : x86_64
Epoch       : 0
Version     : 3.18.0
Release     : 1.fc23


How reproducible:
always.

Steps to Reproduce:
1. Open goa
2. Add account
3. Lastfm is missing

Thanks,

Comment 1 javiermon 2016-04-26 19:33:16 UTC
Hi,

I've recently upgraded to Fedora 24 and this is still happening.

gnome-online-accounts-3.20.1-1.fc24.x86_64

thanks,

Comment 2 Fedora End Of Life 2016-11-24 12:36:07 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Debarshi Ray 2016-12-05 18:36:53 UTC
We won't be enabling Last.fm support in gnome-online-accounts until gnome-music is mature enough to be part of the default installation.

Comment 4 Cédric Bellegarde 2018-01-31 17:15:59 UTC
Hello,

Lollypop dev here.

Gnome Music and Lollypop are packaged in Fedora so I really don't understand why this is disabled.

Maybe add this as a separate GOA packageand adding it to Lollypop/Gnome Music dependencies?

Comment 5 javiermon 2019-04-02 22:26:29 UTC
Hi there.

gnome-music 3.32 seems to be in much better shape than in previous releases. Is there any chance you may reconsider enabling support for last.fm in GOA so it can be used for gnome-music?

Thanks,

Comment 6 Jean Felder 2021-03-24 13:29:45 UTC
lastfm support is now enabled by default in upstream. See https://gitlab.gnome.org/GNOME/gnome-online-accounts/-/commit/7f3f0ebcf8f96839049cd29f68fea1e2be9c6691

Would it be possible to revisit this decision please?

Thanks


Note You need to log in before you can comment on or make changes to this bug.